# 🚜 Inteligentny Traktor

## 🛠️ Konfiguracja

Wymagane biblioteki do pobrania:

```
pip install pygame
pip install python-dotenv
pip install pytholog
```

Stwórz plik `.env` w głównym folderze projektu o poniższej treści:

```
# window size
TILE_SIZE = 32

# game speed
TICK_RATE = 10

STARTING_DIRECTION = north

# coordinates of initial tile
START_X = 0
START_Y = 0

# coordinates of destination tile
FINAL_X = 15
FINAL_Y = 15

# tiles without plants modifier
FREE_TILES = 2
```

Uruchom środowisko używając komend:

```
cd src
python main.py
```

## 🧑‍🌾 Członkowie grupy

- Wojciech Kubicki (483780)
- Adam Mikołajczak (481890)
- Zofia Lorenc (481886)
- Hubert Westerlich (481860)