import os
from dotenv import find_dotenv, load_dotenv

load_dotenv(find_dotenv())

# window size
TILE_SIZE = int(os.getenv("TILE_SIZE"))

# game speed
TICK_RATE = int(os.getenv("TICK_RATE"))

STARTING_DIRECTION = str(os.getenv("STARTING_DIRECTION"))

# coordinates of initial tile
START_X = int(os.getenv("START_X"))
START_Y = int(os.getenv("START_Y"))

# coordinates of destination tile 
FINAL_X = int(os.getenv("FINAL_X"))
FINAL_Y = int(os.getenv("FINAL_Y"))

FREE_TILES = int(os.getenv("FREE_TILES"))
