import sys
import pygame
from field import Field
import os
from config import TILE_SIZE, TICK_RATE

if __name__ == "__main__":
    pygame.init()
    WHITE = (255, 255, 255)

    WINDOW_SIZE = TILE_SIZE * 16
    screen = pygame.display.set_mode((WINDOW_SIZE, WINDOW_SIZE))
    
    field = Field()
    
    running = True
    while running:
        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                running = False
        
        field.tractor.update()
        screen.fill(WHITE)
        field.draw(screen) 

        pygame.display.flip()
        pygame.time.Clock().tick(TICK_RATE)
